=== tests/util_expand/CMakeLists.txt ===
# Test ExpandFilePath()
ctwm_simple_unit_test(t_efp)
