## ctwm 3.7

=== debian/changelog ===
ctwm (3.7-5) unstable; urgency=medium

  * QA upload.
  * Fix ftbfs with GCC-10. (Closes: #957114)
  * Update Standards-Version to 4.5.0
  * Use debhelper-compat.
    - Update to compat level 13.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 05 Aug 2020 16:31:12 +0100

ctwm (3.7-4) unstable; urgency=medium

  * QA upload.
  * Orphan the package.
  * Source format 3.0 (quilt).
  * Debhelper compat 9; closes: #817322, #817416.
  * Drop readme.vms; closes: #367356.
  * Fix a segfault on workspace switch; closes: #662860.
  * Don't ignore errors from make.
  * Drop vim droppings from the end of the changelog.
  * Fix a crash on showing the windowlist; closes: #649671.
  * Pick an upstream fix for workspace manager drag; closes: #585693.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 04 Aug 2016 09:33:17 +0200

ctwm (3.7-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Correctly remove the x-window-manager alternative on package removal.
    (Closes: #668449)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 30 Jan 2013 15:35:21 +0100

ctwm (3.7-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on libjpeg-dev, not libjpeg62-dev (closes: #641105)

 -- Julien Cristau <jcristau@debian.org>  Sun, 29 Jan 2012 16:49:16 +0100

ctwm (3.7-3.1) unstable; urgency=low

  [Jari Aalto]
  * Non-maintainer upload.
  * debian/control
    - (Build-Depends): update obsolete x-dev to x11proto-core-dev.
      (important RC bug; Closes: #515492).
  * debian/rules
    - (build-stamp): Define CC before call to xmkmf(1).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 27 Mar 2010 14:57:01 +0200

ctwm (3.7-3) unstable; urgency=low

  * Merge Luk Claes's NMU.  Thanks, Luk!  Luk's changes are:
    + Make ctwm pre-depend on x11-common (>= 1:7.0.0).
    + Correct comment in the menu-method file.
    + I reverted Luk's deletion of the SVN Id keyword and Vim modeline in this
      changelog.  (We finally got a comment character for control files, now
      we need one for changelogs as well.  Lesson?  Never, ever, ever, ever
      make a file format that will be machine-parsed by anything without
      supporting comments.  ALGOL 60 called and wants its innovations back.)
  * I had already done the following in SVN but was too slow to release.
    Shame on me.
    + Build-depend on xutils-dev instead of xutils for the X11R7 transition.
    + Adjust debian/rules and debian/postinst to use FHS paths, moving from
      /usr/X11R6 to /usr.  Based on a patch by Steve Langasek.  Thanks, Steve!
      (Closes: #364239)
    + Point menu-method to install-menu interpreter in /usr/bin, not
      /usr/sbin, per Lintian.
    + Add empty binary-indep target in debian/rules to quiet Lintian error.
  * Fix SEGV when attempting to bring up the TwmWindows menu when no workspace
    manager is active.  Thanks to Mike O'Connor for the analysis and the
    patch! (Closes: #375240)
  * Bump Standards-Version from 3.6.2 to 3.7.2; required changes involving
    placement of files in X11 paths and pre-dependency on x11-common made as
    described above.

 -- Branden Robinson <branden@debian.org>  Fri, 21 Jul 2006 10:27:56 -0400

ctwm (3.7-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Build-depend against xutils-dev for the X11R7 transition, pre-depend on
    a recent x11-common and adjust debian/rules for the FHS paths
    (Closes: #364239).

 -- Luk Claes <luk@debian.org>  Fri, 12 May 2006 22:35:26 +0200

ctwm (3.7-2) unstable; urgency=low

  * Add build-dependency on libjpeg62-dev to fix FTBFS.  Shame on me for not
    building in a clean chroot.

 -- Branden Robinson <branden@debian.org>  Wed,  2 Nov 2005 15:00:00 -0500

ctwm (3.7-1) unstable; urgency=low

  * Merge upstream 3.7 release.
    + The upstream maintainer is now Richard Levitte, not Claude Lecommandeur.
    + Add workspace context for keybindings.
    + Add AlwaysSqueezeToGravity configuration keyword and feature.
    + Add TwmKeys and TwmVisible menus.
    + Implement preliminary GNOME compliance (see README.gnome and TODO.gnome
      in /usr/share/doc/ctwm.)
    + Add IconifyStyle configuration keyword and feature for "fancy" graphical
      effects.
    + Add JPEG/JFIF image support, using "jpeg:filename" syntax.
    + Add f.showbackground action, which unmaps all windows in the current
      workspace.
    + Add preliminary support for Xinerama extension using the VirtualScreens
      configuration keyword.
    + Change Imakefile to support a distribution target.
    + Change :xpm:cross to be a bit larger, appear more three-dimensional, and
      be more visible even in very dark configurations.
    + Make AlwaysSqueezeToGravity work for all windows if no window list is
      given.
    + Add NoImagesInWorkSpaceManager configuration keyword and feature which
      prevents background images from being displayed in the workspace map.
    + Add -cfgchk command-line option, which simply performs a parse check on
      the configuration file, without launching the window manager.
    + Change the behavior of DontMoveOff/MoveOffResistance (see upstream
      changelog).
    + Change behavior of random placement to respect DontMoveOff (see upstream
      changelog).
    + Change f.warpring action so that the icon manager doesn't get enter and
      leave events if IconManagerFocus is set.
    + Add f.movetoprevworkspace, f.movetonextworkspace,
      f.movetoprevworkspaceandfollow, and f.movetonextworkspaceandfollow
      actions (see upstream changelog).
    + Add "vertical" as a parameter to the f.fill action (see upstream
      changelog).
    + Add hack to ensure that a window that had been maximized keeps the focus
      when it is restored to its previous size.
    + Fix f.zoom action to stop moving the window up.
    + Add IgnoreTransient configuration keyword and feature to ignore a
      specified list of transient windows.

