=== debian/control ===
Source: ctwm
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: x11proto-core-dev, libice-dev, libsm-dev, libx11-dev,
 libxext-dev, libxmu-dev, libxpm-dev, libxt-dev, librplay3-dev, libjpeg-dev,
 xutils-dev, flex, bison, debhelper-compat (= 13)
Standards-Version: 4.5.0

Package: ctwm
Architecture: any
Depends: m4, ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: x11-common (>= 1:7.0.0)
Provides: x-window-manager
Description: Claude's Tab window manager
 ctwm is Claude Lecommandeur's extension to twm; in addition to the
 features of twm, it supports multiple virtual screens, the pixmap file
 format, pinnable ("sticky") menus, and other enhancements.
