=== debian/rules ===
#!/usr/bin/make -f
# Debian package build rules file for ctwm
# Copyright 1997-1999 Joey Hess.
# Copyright 1999 Branden Robinson.
# Licensed under the GNU General Public License, version 2.  See the file
# /usr/share/common-licenses/GPL or <http://www.gnu.org/copyleft/gpl.txt>.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = `dpkg-buildflags --get CFLAGS`
LDFLAGS = `dpkg-buildflags --get LDFLAGS`
CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
export CFLAGS LDFLAGS CPPFLAGS

build-arch: build-stamp
build-stamp:
	dh_testdir

	CC=gcc xmkmf -DDontPreprocessManPages=0
	$(MAKE)

	>"$@"

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) clean
	rm -f Makefile

	dh_clean

install: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) DESTDIR=debian/ctwm install install.man
	# Don't ship pixmaps that are in fvwm-icons.
	rm debian/ctwm/usr/include/X11/pixmaps/datebook.xpm
	rm debian/ctwm/usr/include/X11/pixmaps/mail1.xpm
	rm debian/ctwm/usr/include/X11/pixmaps/term.xpm
	rm debian/ctwm/usr/include/X11/pixmaps/unknown1.xpm
	rm debian/ctwm/usr/include/X11/pixmaps/xcalc.xpm
	rm debian/ctwm/usr/include/X11/pixmaps/xman.xpm
	rm debian/ctwm/usr/include/X11/pixmaps/xterm.xpm

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs PROBLEMS README README.gnome TODO.gnome
	dh_installexamples example.ctwmrc levitte.ctwmrc debian/lynx.ctwmrc.m4 \
	  peterc.ctwmrc system.ctwmrc.gnome
	dh_installmenu
	dh_installmanpages
	dh_installchangelogs CHANGES
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# We build no architecture-independent packages, so the binary-indep rules is
# empty.
binary-indep:
build-indep:
build: build-arch

binary: binary-arch binary-indep
.PHONY: build clean binary-arch binary install build-indep
