## ctwm 4.0.3

=== debian/changelog ===
ctwm (4.0.3-2) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + ctwm: Drop versioned constraint on x11-common in Pre-Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 13:57:15 +0100

ctwm (4.0.3-1) unstable; urgency=medium

  * QA upload.
  * New upstream release. (Closes: #417526)
    + Switch to new upstream location.
  * Bump Standards-Version to 4.6.0.
  * debian/control:
    + Apply "wrap-and-sort -abst".
    + Switch to cmake buildsystem.
    + Update Vcs-* fields.
    + Use Rules-Requires-Root: no.
  * debian/rules: Rewrite with dh sequencer.
  * debian/patches: Drop all previous patches for a clean packaging.
  * debian/copyright: Rewrite with machine-readable copyright.
  * debian/ctwm.desktop: Add desktop file for usr/share/xsessions/.
    (Closes: #330045) (LP: #395575)
  * debian/ctwm.alternatives: Use declarative alternatives system.

 -- Boyuan Yang <byang@debian.org>  Sun, 13 Mar 2022 11:01:49 -0400
