=== debian/control ===
Source: ctwm
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 bison,
 cmake,
 debhelper-compat (= 13),
 flex,
 libice-dev,
 libjpeg-dev,
 librplay3-dev,
 libsm-dev,
 libx11-dev,
 libxext-dev,
 libxmu-dev,
 libxpm-dev,
 libxt-dev,
 m4 <!nocheck>,
 x11proto-core-dev,
 xutils-dev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.ctwm.org
Vcs-Git: https://salsa.debian.org/debian/ctwm.git
Vcs-Browser: https://salsa.debian.org/debian/ctwm

Package: ctwm
Architecture: any
Depends:
 m4,
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 x11-common,
Provides:
 x-window-manager,
Description: Claude's Tab window manager
 ctwm is Claude Lecommandeur's extension to twm; in addition to the
 features of twm, it supports multiple virtual screens, the pixmap file
 format, pinnable ("sticky") menus, and other enhancements.
