=== debian/watch ===
version=4
https://www.ctwm.org/download.html \
 dist/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
