## ctwm 4.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,10 @@
-cmake_minimum_required(VERSION 2.6)
-project(ctwm C)
+cmake_minimum_required(VERSION 3.6)
 
 # Figure our version
 file(READ "VERSION" vf_str)
 string(STRIP ${vf_str} vf_str)
-# Not currently using the split out variants
-if(0)
+# Use split variants for project() call.
+if(1)
 	set(version_file_re "([0-9]+)\\.([0-9]+)\\.([0-9]+)(.*)")
 	string(REGEX REPLACE ${version_file_re} "\\1" ctwm_version_major ${vf_str})
 	string(REGEX REPLACE ${version_file_re} "\\2" ctwm_version_minor ${vf_str})
@@ -15,6 +14,12 @@
 else()
 	set(ctwm_version_str ${vf_str})
 endif()
+
+# Now we can delcade that
+project(ctwm
+	VERSION ${ctwm_version_major}.${ctwm_version_minor}.${ctwm_version_patch}
+	LANGUAGES C
+	)
 
 # Modules we'll need
 include(CheckIncludeFiles)
@@ -27,6 +32,10 @@
 	message(FATAL_ERROR "Please build out of tree; don't run cmake "
 			"directly in the source tree.")
 endif(insrc)
+
+# Let cmake write out compile commands for external tools.  Requires
+# cmake 3.5+, but setting an unknown var won't hurt earlier versions.
+set(CMAKE_EXPORT_COMPILE_COMMANDS TRUE)
 
 
 #
@@ -124,14 +133,9 @@
 # with all our contents except the trivial main() wrapper, then build
 # ctwm with that; this makes it easy to build other binaries (like tests)
 # with access to all our internal funcs.
-add_library(ctwmlib STATIC ${CTWMSRC})
+add_library(ctwmlib OBJECT ${CTWMSRC})
 add_executable(ctwm "ctwm_wrap.c")
-
-# Keep ctwmlib before the shared libs.  With some ld(1)'s and build
-# environments that set --as-needed, having it after means that ld will
-# have already discarded all the shared libs as "unused" before it gets
-# to all the actual ctwm objects that need the symbols.
-target_link_libraries(ctwm ctwmlib)
+target_sources(ctwm PUBLIC $<TARGET_OBJECTS:ctwmlib>)
 target_link_libraries(ctwm ${CTWMLIBS})
 
 # This doesn't really serve much purpose at the moment, so it's not even
@@ -160,10 +164,6 @@
 # Pull in dtrace bits
 include(dtrace_support)
 
-# Let cmake write out compile commands for external tools.  Requires
-# cmake 3.5+, but setting an unknown var won't hurt earlier versions.
-set(CMAKE_EXPORT_COMPILE_COMMANDS TRUE)
-
 # Include tests
 include(CTest)
 if(BUILD_TESTING)
