=== tests/menu_twmkeys/CMakeLists.txt ===
# Test the strings for TwmKeys menu
ctwm_simple_unit_test(mk_twmkeys_entry BIN mk_twmkeys_entry)
