=== tests/test_m4/CMakeLists.txt ===
# Test that m4 D'sTRT
ctwm_simple_unit_test(test_m4
	ARGS -f ${CMAKE_CURRENT_SOURCE_DIR}/ctwmrc)
