=== tests/util_expand/CMakeLists.txt ===
# Test ExpandFilePath()
ctwm_simple_unit_test(path_expansion BIN t_efp)
