=== debian/changelog ===
ctwm (4.1.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * debian/control: Add new build-dep libxrandr-dev.

 -- Boyuan Yang <byang@debian.org>  Mon, 25 Dec 2023 11:52:39 -0500
