=== debian/control ===
--- 
+++ 
@@ -15,11 +15,12 @@
  libxext-dev,
  libxmu-dev,
  libxpm-dev,
+ libxrandr-dev,
  libxt-dev,
  m4 <!nocheck>,
  x11proto-core-dev,
  xutils-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.ctwm.org
 Vcs-Git: https://salsa.debian.org/debian/ctwm.git
